Bug 737108 - Backlight on Samsung N127 laptop blinks after update to kernel-2.6.40.3
Backlight on Samsung N127 laptop blinks after update to kernel-2.6.40.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 12:11 EDT by Kirin Yuri
Modified: 2011-11-17 18:28 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.41.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-17 18:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirin Yuri 2011-09-09 12:11:32 EDT
Description of problem:
After update to kernel-2.6.40.3-0.fc15.i686 a backlight of my laptop Samsung N127 starts to blink after authorization in KDM. Difference between nice-working kernel-2.6.40-4.fc15.i686 and kernel-2.6.40.3-0.fc15.i686 is samsung_laptop kernel module. /var/log/messages is full off:
"samsung_laptop: SABI set command 0x01 failed with completion flag 0xaa and data 0xff"

Version-Release number of selected component (if applicable):
kernel-2.6.40.4-5.fc15.i686
kernel-2.6.40.3-0.fc15.i686

How reproducible:
Every boot.

Steps to Reproduce:
1. Get Samsung N127 laptop
2. Install Fedora 15 and update kernel to kernel-2.6.40.3
3. Install KDE and log into KDM.
  
Actual results:
Backlight starts to blink few times in a second. After a some time it stops, but starts again after manual brightness regulation.

Expected results:
Backlight not blinks.
Comment 1 Tomasz Chmielewski 2011-09-13 08:16:42 EDT
I see exactly the same behaviour (blinking) on Samsung N130.
Comment 2 Chuck Ebbert 2011-09-14 06:05:51 EDT
The fix for this seems to have fallen into a black hole:

https://lkml.org/lkml/2011/4/20/1
https://lkml.org/lkml/2011/5/11/548
Comment 3 Chuck Ebbert 2011-10-24 21:39:16 EDT
See:
https://bugzilla.redhat.com/show_bug.cgi?id=747560#c3

for some possible workarounds.
Comment 4 Chuck Ebbert 2011-10-24 22:42:18 EDT
Patch from comment 2 has been applied to the f15 kernel and should be in the next update (probably 2.6.40.8).
Comment 5 Fedora Update System 2011-10-27 10:12:40 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 6 Fedora Update System 2011-10-29 20:35:25 EDT
Package kernel-2.6.40.8-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.8-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15108
then log in and leave karma (feedback).
Comment 7 Yann Droneaud 2011-10-31 11:31:21 EDT
(In reply to comment #6)
> Package kernel-2.6.40.8-2.fc15
> * should fix your issue,

It doesn't fix flickering problem reported in bug 747560 (on Samsung n210).
Comment 8 Fedora Update System 2011-11-01 15:58:51 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 9 Tomasz Chmielewski 2011-11-01 16:28:52 EDT
BTW, was this pushed to the upstream kernel (the coming 3.2-rc*, or is there already perhaps)?
Comment 10 Josh Boyer 2011-11-02 12:15:56 EDT
(In reply to comment #9)
> BTW, was this pushed to the upstream kernel (the coming 3.2-rc*, or is there
> already perhaps)?

Yes, it's in Linus' tree already.
Comment 11 Fedora Update System 2011-11-11 19:07:55 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 12 Fedora Update System 2011-11-17 18:28:36 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.